Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionTab.SelectedPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionTab.SelectedPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionTab

    public static final class QStyleOptionTab.SelectedPosition

extends java.lang.Enum
implements QtEnumerator

This enum describes the position of the selected tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

See also:
  selectedPosition.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionTab.SelectedPosition` | `NextIsSelected` The next tab (typically the tab on the right) is selected.
`static QStyleOptionTab.SelectedPosition` | `NotAdjacent` The tab is not adjacent to a selected tab (or is the selected tab).
`static QStyleOptionTab.SelectedPosition` | `PreviousIsSelected` The previous tab (typically the tab on the left) is selected.

Method Summary
`static QStyleOptionTab.SelectedPosition` | `resolve(int value)` Returns the QStyleOptionTab$SelectedPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionTab.SelectedPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionTab.SelectedPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotAdjacent

    public static final QStyleOptionTab.SelectedPosition NotAdjacent

  The tab is not adjacent to a selected tab (or is the selected tab).

### NextIsSelected

    public static final QStyleOptionTab.SelectedPosition NextIsSelected

  The next tab (typically the tab on the right) is selected.

### PreviousIsSelected

    public static final QStyleOptionTab.SelectedPosition PreviousIsSelected

  The previous tab (typically the tab on the left) is selected.

Method Detail

### values

    public static QStyleOptionTab.SelectedPosition[] values()

### valueOf

    public static QStyleOptionTab.SelectedPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionTab.SelectedPosition resolve(int value)

  Returns the QStyleOptionTab$SelectedPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD